from django.conf.urls.defaults import patterns, url, include

import views
import upload_views
import admin

urlpatterns = patterns('',
    url(r'^$', views.homepage),
    url(r'^inbox/$', views.inbox, name='inbox'),
    url(r'^inbox_by_document/(?P<document_id>\d+)/$', views.inbox_by_document,
        name='inbox-by-document-message'),
    url(r'^inbox/(?P<mailbox_id>\d+)/$', views.message, name='inbox-message',
        kwargs={'back': 'inbox'}),
    url(r'^inbox/(?P<mailbox_id>\d+)/delete/$', views.delete,
        name='inbox-message-delete'),
    url(r'^inbox/(?P<mailbox_id>\d+)/(?P<attached_file>\d+)/.*$',
        views.message_attached_file, name='inbox-message-attached-file'),
    url(r'^outbox/$', views.outbox, name='outbox'),
    url(r'^outbox/(?P<mailbox_id>\d+)/$', views.message, name='outbox-message',
        kwargs={'back': 'outbox'}),
    url(r'^outbox/(?P<mailbox_id>\d+)/delete/$', views.delete,
        name='outbox-message-delete', kwargs={'back': 'outbox'}),
    url(r'^outbox/(?P<mailbox_id>\d+)/(?P<attached_file>\d+)/.*$',
        views.message_attached_file, name='outbox-message-attached-file'),
    url(r'^send_file/$', views.send_file, name='send-file'),
    url(r'^help/$', views.help, name='help'),
    url(r'^contact/$', views.contact, name='contact'),
    url(r'^logout/$', views.logout, name='logout'),
    url(r'^delegate/$', views.delegate, name='delegate'),
    url(r'^upload/(?P<transaction_id>[a-zA-Z0-9-]+)/$', upload_views.upload,
        name='upload'),
    url(r'^upload/(?P<transaction_id>[a-zA-Z0-9-]+)/(?P<filename>[^/]+)',
        upload_views.upload_file, name='uploaded'),
    url(r'^admin/', include(admin.site.urls), name='docbow_admin'),
)
